Bug 1575291 - Switch lldb to Python 3
Summary: Switch lldb to Python 3
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: lldb
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Dave Airlie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-05 18:26 UTC by Miro Hrončok
Modified: 2018-05-11 16:36 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-05 19:22:09 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1567262 0 unspecified CLOSED missing Recommends: python2-lldb 2021-02-22 00:41:40 UTC

Internal Links: 1567262

Description Miro Hrončok 2018-05-05 18:26:49 UTC
I have the impression the lldb can run with Python 3.

I couldn't find anything in the docs, but the build system seems prepared fort hat and it also uses six (a comaptibility layer to support both Python major versions).

Can we switch it in Fedora? Does anything block us?

Comment 1 Miro Hrončok 2018-05-05 19:22:09 UTC
Mea culpa. It seems it is not:

When i switch the build to python 3, it fails during bytecompilation, there is at least one Legacy Python print.

+ /usr/lib/rpm/brp-python-bytecompile /usr/bin/python 1
Bytecompiling .py files below /builddir/build/BUILDROOT/lldb-6.0.0-4.fc29.x86_64/usr/lib64/python3.6 using /usr/bin/python3.6
*** Error compiling '/builddir/build/BUILDROOT/lldb-6.0.0-4.fc29.x86_64/usr/lib64/python3.6/site-packages/lldb/utils/symbolication.py'...
  File "/usr/lib64/python3.6/symbolication.py", line 206
    print 'error: invalid section info string "%s"' % s
                                                  ^
SyntaxError: Missing parentheses in call to 'print'. Did you mean print('error: invalid section info string "%s"' % s)?


Note You need to log in before you can comment on or make changes to this bug.